%define name hxd-client
%define version 0.0.104
%define release 2mdk
%define prefix /usr 

Name: %{name}
Summary: hxd-client (hx) is a console based client for hotline
Version: %{version}
Release: %{release}
Source: hxd-%{version}.tar.bz2
Group: Applications/Communications
URL: http://hx.fortyoz.org/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: %{prefix}

%description
hxd-client (hx) is a console based client for hotline which can
be used with Mac and Win* clients and servers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n hxd-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$RPM_BUILD_ROOT/%{prefix} --enable-hotline-client
make -j 2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -m 755 hx $RPM_BUILD_ROOT%{prefix}/bin


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CHANGES PROBLEMS README
%{prefix}/bin/hx


%changelog
* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpms provided by Dara Hazeghi <dhazeghi@pacbell.net>
